var Notes = Notes || {};

Notes.NoteModel = function (config) {
    "use strict";
    this.id = config.id;
    this.dateCreated = config.dateCreated;
    this.time = config.time;
    this.length = config.length;
	this.reason = config.reason;
	this.feeling = config.feeling;
	this.intensity = config.intensity;
	this.helper = config.helper;
    this.lastUpdateDate = config.lastUpdateDate || config.dateCreated;
    this.lastUploadDate = config.lastUploadDate;
    this.deleteAfterUpload = config.deleteAfterUpload || false;
};

Notes.NoteModel.prototype.isValid = function () {
    "use strict";
    if (this.time && this.time.length > 0) {
        return true;
    }
    return false;
};

